@charset "utf-8";

html,
body{
  overscroll-behavior: none;
}

body{
  font-family: "Nova Round", system-ui;
  width: 100vw;
  height: 100dvh;
  display: flex;
  flex-direction: column;
  cursor: default;
}

.hd{
  font-family: "Alumni Sans SC", sans-serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-style: italic;
}

main{
  cursor: pointer;
}

main,
footer{
  color: #ffffff;
  mix-blend-mode: exclusion;
}

a{
  display: inline-block;
  transition: all 0.5s ease;
}

a:hover{
  transform: scale(1.1);
}

/* 背景写真 */
.bg-wrapper{
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100dvh;
  z-index: -1;
  overflow: hidden;
}

.bg{
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0;
}

/* メインコンテンツ */
main{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  flex: 1;
}

/* h1 */
h1{
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  width: 150px;
  height: 150px;
}

.left-wrapper{
  width: 10%;
  writing-mode: sideways-lr;
  font-size: 16px;
  letter-spacing: 2px;
  text-wrap: nowrap;
  transform: translateY(-4px);
}

.right-wrapper{
  width: 85%;
  height: 100%;
  display: flex;
  flex-direction: column;
}

.right-wrapper>span{
  width: 100%;
  height: 50%;
  text-wrap: nowrap;
  font-size: 64px;
}

.ida{
  letter-spacing: 19px;
}
.mio{
  letter-spacing: 2px;
}

/* リンク */
.links{
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 32px;
  margin-top: 32px;
  width: 250px;
  height: 0;
  overflow: hidden;
}
.bi{
  font-size: 24px;
}
/* フッター */
footer{
  font-size: 10px;
  text-align: center;
}

/* スライドインコンテンツ */

.slide-in-cont{
  overflow: hidden;
}